import { FastifyRequest } from "fastify";
export declare const path = "/durable-events";
export declare const anonymous = true;
export declare const cached = true;
export declare function handler(): Promise<{
    events: import("../../../../data").DurableEvent[];
}>;
interface Body {
    dispatch?: string;
}
interface Schema {
    Body: Body;
}
export declare function submit(request: FastifyRequest<Schema>): Promise<void>;
export declare function ListDurableEvents(): import("react/jsx-runtime").JSX.Element;
export declare const Component: typeof ListDurableEvents;
export {};
